API referenceWebhooks
List recent deliveries
The endpoint's most recent delivery attempt-chains, newest first — what was sent, what your server answered, and why anything failed.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Path Parameters
webhook_endpoint_id*string
Id of the webhook endpoint.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
limit?integer
Maximum number of deliveries to return (1-100).
Range
1 <= value <= 100Default
25Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"{ "data": [ { "id": "string", "webhook_event_id": "string", "event_type": "string", "status": "string", "attempt": 0, "response_status": 0, "error": "string", "next_attempt_at": "2019-08-24T14:15:22Z", "last_attempt_at": "2019-08-24T14:15:22Z", "delivered_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}